complexType "CommoditySwaption"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, optionType, commoditySwap, physicalExercise, premium
</...>

Content Model Elements (9):

  commoditySwap (in commoditySwaption), embeddedOptionType, optionType (in commoditySwaption), physicalExercise (in commoditySwaption), premium (in commoditySwaption), | primaryAssetClass (defined in Product.model group), productId, productType (defined in Product.model group), secondaryAssetClass

All Direct / Indirect Based Elements (1):

  commoditySwaption

Known Usage Locations

- As direct type of elements (1):
  commoditySwaption

Annotation
Commodity Swaption.
Type Definition Detail

Type Derivation Tree Product (extension) CommoditySwaption

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CommoditySwaption"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="optionType" type="PutCallEnum"/> <xsd:element name="commoditySwap" type="CommoditySwaptionUnderlying"/> <xsd:element name="physicalExercise" type="CommodityPhysicalExercise"/> <xsd:element name="premium" type="CommodityPremium"/> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/9)
commoditySwap

  Type: | CommoditySwaptionUnderlying, complex content

  The underlying commodity swap definiton.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="commoditySwap" type="CommoditySwaptionUnderlying"/>

optionType

  Type: | PutCallEnum, simple content

  The type of option transaction.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Put" | - | A put option gives the holder the right to sell the underlying asset by a certain date for a certain price. See: http://www.FpML.org
  "Call" | - | A call option gives the holder the right to buy the underlying asset by a certain date for a certain price. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="optionType" type="PutCallEnum"/>

physicalExercise

  Type: | CommodityPhysicalExercise, complex content

  The parameters for defining how the commodity option can be exercised into a physical transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="physicalExercise" type="CommodityPhysicalExercise"/>

premium

  Type: | CommodityPremium, complex content

  The option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="premium" type="CommodityPremium"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.